Subject: Re: kernel panic when resuming from hibernate in next-20260406 with PREEMPT_RT

From: Bert Karwatzki <[email-masked]>
Date: Sun, 26 Apr 2026 10:28:57 +0200

Am Freitag, dem 10.04.2026 um 13:20 +0000 schrieb Ostrowski, Rafal:
> Hi Bert,
> 
> I identified root cause of problem. I had to do modifications to mentioned patches to work well with PREEMPT_RT enabled. I tested it on my local machine and it seems to fix the problem. Now it has to go through internal processes. I will let you know if I know when fix will be available to you.
> 
> Kind Regards,
> Rafal Ostrowski

So it seems that commit
8bf0cb97edb6 ("drm/amd/display: Move dml2_destroy to non-FPU compilation unit")
is the commit that fixes the issue, but is missing the appropriate tags:

Reported-By: Bert Karwatzki <[email-masked]>
Fixes: 3539437f354b ("drm/amd/display: Move FPU Guards From DML To DC - Part 3")

Please fix this.

Bert Karwatzki